import request from '@/config/axios'

// 保存基本信息
export const saveResumeBasicInfo = async (data) => {
  return await request.post({
    url: '/app-api/menduner/system/person/resume/save/info',
    data
  })
}

// 保存个人优势
export const saveResumeAdvantage = async (data) => {
  return await request.post({
    url: '/app-api/menduner/system/person/resume/save/advantage',
    data
  })
}

// 保存培训经历
export const saveResumeTrainExp = async (data) => {
  return await request.post({
    url: '/app-api/menduner/system/person/resume/save/train/exp',
    data
  })
}

// 删除培训经历
export const deleteResumeTrainExp = async (id) => {
  return await request.delete({
    url: '/app-api/menduner/system/person/resume/remove/train/exp?id=' + id
  })
}

// 获取培训经历
export const getResumeTrainExp = async () => {
  return await request.get({
    url: '/app-api/menduner/system/person/resume/get/train/exp'
  })
}

// 获取-教育经历
export const getResumeEduExp = async () => {
  return await request.get({
    url: '/app-api/menduner/system/person/resume/get/edu/exp'
  })
}

// 删除-教育经历
export const deleteResumeEduExp = async (id) => {
  return await request.delete({
    url: '/app-api/menduner/system/person/resume/remove/edu/exp?id=' + id
  })
}

// 保存-教育经历
export const saveResumeEduExp = async (data) => {
  return await request.post({
    url: '/app-api/menduner/system/person/resume/save/edu/exp',
    data
  })
}

// 保存项目经历
export const saveResumeProjectExp = async (data) => {
  return await request.post({
    url: '/app-api/menduner/system/person/resume/save/project/exp',
    data
  })
}

// 删除项目经历
export const deleteResumeProjectExp = async (id) => {
  return await request.delete({
    url: '/app-api/menduner/system/person/resume/remove/project/exp?id=' + id
  })
}

// 获取项目经历
export const getResumeProjectExp = async () => {
  return await request.get({
    url: '/app-api/menduner/system/person/resume/get/project/exp'
  })
}